public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mate-base/caja/
Date: Sat, 14 Jan 2023 19:17:29 +0000 (UTC)	[thread overview]
Message-ID: <1673723726.621f1d6f24ac02f1942565c8d3932b992e50a899.sam@gentoo> (raw)

commit:     621f1d6f24ac02f1942565c8d3932b992e50a899
Author:     Oz Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Wed Jan 11 13:12:34 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan 14 19:15:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=621f1d6f

mate-base/caja: add 1.26.1

Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/29063
Signed-off-by: Sam James <sam <AT> gentoo.org>

 mate-base/caja/Manifest           |  1 +
 mate-base/caja/caja-1.26.1.ebuild | 92 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/mate-base/caja/Manifest b/mate-base/caja/Manifest
index 8fbbe29bd972..07dd594ae3c7 100644
--- a/mate-base/caja/Manifest
+++ b/mate-base/caja/Manifest
@@ -1 +1,2 @@
 DIST caja-1.26.0.tar.xz 5283368 BLAKE2B 8449d7d721a997458102abf0fefcb35734a1b254280a4b8baa14667913f2a3006c31583d956de54ad7fac9e1da70057e058547eb7e3652a1dca9df9e9628a3a9 SHA512 0abbaebe6dc24644d0e5057fe79e57f67a1e5208f6aa89289649e6e1940285e4c169ec42197ae933f663a9c69a7f09295003cc645492db6abbd9ebce7085c03a
+DIST caja-1.26.1.tar.xz 5263564 BLAKE2B 44cdbbc86a24d9d3d6f7830ba45dd82a69b0aadd233531a97ab1cc4dfc5f7466543d70d3f8d6cef4bc669c0ab12b77ca7f22d40f486f36e80c4103c992369002 SHA512 e5d14d1a5f0ae9f86d3250e5a2d10a4e0afdc7ba1b52fcac4c8efc0a4c555d0208be3caf3aac19cc4938fe4c20e82f1f81d259d30e5d8fffbc78708664d23d4e

diff --git a/mate-base/caja/caja-1.26.1.ebuild b/mate-base/caja/caja-1.26.1.ebuild
new file mode 100644
index 000000000000..293d18e0c597
--- /dev/null
+++ b/mate-base/caja/caja-1.26.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MATE_LA_PUNT="yes"
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+	KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+fi
+
+DESCRIPTION="Caja file manager for the MATE desktop"
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+
+IUSE="+introspection +mate nls xmp"
+
+COMMON_DEPEND="
+	|| (
+		>=app-accessibility/at-spi2-core-2.46.0:2
+		dev-libs/atk
+	)
+	>=dev-libs/glib-2.58.1:2
+	>=dev-libs/libxml2-2.4.7:2
+	gnome-base/dconf
+	>=gnome-base/gvfs-1.10.1:0[udisks]
+	>=mate-base/mate-desktop-1.17.3:0
+	>=media-libs/libexif-0.6.14:0
+	virtual/libintl
+	x11-libs/cairo
+	>=x11-libs/gdk-pixbuf-2.36.5:2
+	>=x11-libs/gtk+-3.22:3[introspection?]
+	>=x11-libs/libnotify-0.7.0:0
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXft
+	x11-libs/libXrender
+	>=x11-libs/pango-1.1.2
+	introspection? ( >=dev-libs/gobject-introspection-0.6.4:= )
+	xmp? ( >=media-libs/exempi-1.99.5:2= )
+"
+
+BDEPEND="${COMMON_DEPEND}
+	>=dev-lang/perl-5:=
+	dev-util/gdbus-codegen
+	dev-util/glib-utils
+	dev-util/gtk-doc
+	dev-util/gtk-doc-am
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+PDEPEND="mate? ( >=x11-themes/mate-icon-theme-${MATE_BRANCH} )"
+
+# TODO: Test fails because Caja is not merged yet:
+# GLib-GIO-ERROR **: Settings schema 'org.mate.caja.preferences' is not installed
+RESTRICT="test"
+
+src_prepare() {
+	# Remove unnecessary CFLAGS.
+	sed -i -e 's:-DG.*DISABLE_DEPRECATED::g' \
+		configure.ac eel/Makefile.am || die
+
+	mate_src_prepare
+}
+
+src_configure() {
+	mate_src_configure \
+		--disable-update-mimedb \
+		$(use_enable introspection) \
+		$(use_enable nls) \
+		$(use_enable xmp)
+}
+
+src_test() {
+	unset SESSION_MANAGER
+	unset DBUS_SESSION_BUS_ADDRESS
+
+	Xemake check || die "Test phase failed"
+}
+
+pkg_postinst() {
+	mate_pkg_postinst
+
+	elog "Caja can use gstreamer to preview audio files. Just make sure"
+	elog "to have the necessary plugins available to play the media type you"
+	elog "want to preview."
+}


             reply	other threads:[~2023-01-14 19:17 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-14 19:17 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06  7:17 [gentoo-commits] repo/gentoo:master commit in: mate-base/caja/ Sam James
2024-08-30  5:57 Joonas Niilola
2024-08-29 19:42 Sam James
2024-06-18  8:06 Joonas Niilola
2024-06-16  6:06 Joonas Niilola
2024-06-16  6:06 Joonas Niilola
2024-04-01  5:30 Sam James
2024-01-19 10:53 Sam James
2024-01-19 10:53 Sam James
2024-01-19 10:53 Sam James
2023-05-19 17:45 Sam James
2023-05-19 17:45 Sam James
2022-10-29 20:29 Sam James
2022-07-27  5:30 Sam James
2022-06-28  2:03 WANG Xuerui
2022-05-14  3:00 Sam James
2022-01-09 20:37 Andreas Sturmlechner
2022-01-09 20:35 Jakov Smolić
2022-01-09 20:08 Sam James
2021-06-30 22:43 Adam Feldman
2021-04-05  9:00 Andreas Sturmlechner
2020-09-25 20:32 Adam Feldman
2020-04-19  8:53 Michał Górny
2019-07-07 18:48 Göktürk Yüksek
2019-07-07 18:48 Göktürk Yüksek
2019-05-12 21:04 Göktürk Yüksek
2019-04-07 11:54 Andreas Sturmlechner
2018-01-14 17:18 Ettore Di Giacinto
2016-12-08 15:53 Ettore Di Giacinto
2016-03-26  2:37 NP Hardass
2016-03-15 17:53 Agostino Sarubbo
2016-03-06  8:09 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1673723726.621f1d6f24ac02f1942565c8d3932b992e50a899.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox